/*
-----------------------------------------------------------------------------
This source file is part of the GameTools Project
http://www.gametools.org

Author: Martin Szydlowski
-----------------------------------------------------------------------------
*/

#include "OgreKdTreeSceneManager.h"
#include "OgreKdTreeHierarchyInterface.h"

namespace Ogre
{

KdTreeHierarchyInterface::KdTreeHierarchyInterface(KdTreeSceneManager *sm, RenderSystem *rsys):
	SceneNodeHierarchyInterface(sm, rsys)
{

}

bool KdTreeHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node) const
{
	KdTree::Node * kdnode = static_cast<KdTree::Node *>(node);
	return kdnode->isLeaf();
}


}